# mongoc_database_get_write_concern()

## Synopsis

    const mongoc_write_concern_t *
    mongoc_database_get_write_concern (const mongoc_database_t *database);

This function retrieves the default mongoc_write_concern_t to use with `database` as configured by the client.

## Parameters

- `database`: A mongoc_database_t.

## Returns

A mongoc_write_concern_t that should not be modified or freed.